关于EX4文件必须使用#property strict指令进行编译。 版本名称没有指定。请在源代码中设置#property 版本来指定它,求救解答?

 
最近团队要出一个EA,准备添加在MQL5市场上销售,本人负责我市场相关工作,技术问题不是特别懂,想请教各位大神遇到这种情况,该如何解决,多谢拉.
 

你在源代码中加上如下两条语句

#property version   "1.00"
#property strict

双引号中的1.00表示版本

#property strict 表示严格语法检查,发布到市场上的产品必须能通过严格语法检查.

 
Ziheng Zhuang #:

你在源代码中加上如下两条语句

双引号中的1.00表示版本

#property strict 表示严格语法检查,发布到市场上的产品必须能通过严格语法检查.

@Ziheng Zhuang
Ziheng Zhuang #:

你在源代码中加上如下两条语句

双引号中的1.00表示版本

#property strict 表示严格语法检查,发布到市场上的产品必须能通过严格语法检查.

你好,两句语句添加进去以后,无法打开运行,后面还要怎么做呢?

Ziheng Zhuang
Ziheng Zhuang
  • 2022.09.14
  • www.mql5.com
交易者的个人资料
 
不是加进去就完事,加了后要编译通过才行,如果编译有错误和警告则需要解决错误和警告.
 
Ziheng Zhuang #:
不是加进去就完事,加了后要编译通过才行,如果编译有错误和警告则需要解决错误和警告.

谢谢你.

原因: